import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const hourLimitKillRequestKillhouseService = createAsyncThunk(
  "HOUR_LIMIT_KILL_REQUEST_KILLHOUSE_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.post("kill_house_hour_limit/", d);
    dispatch(LOADING_END());
    return { data, status };
  }
);
